IBM MQ and IBM MQ Appliance 7.1, 7.5, 8.0, 9.0 LTS, 9.1 LTS, and 9.1 CD could allow a local attacker to obtain sensitive information by inclusion of sensitive data within runmqras data.
Published 2020-03-16 16:15:13
Updated 2020-08-24 17:37:01
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2019-4719

Probability of exploitation activity in the next 30 days: 0.04%

Percentile, the proportion of vulnerabilities that are scored at or less: ~ 6 % EPSS Score History EPSS FAQ

CVSS scores for CVE-2019-4719

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source
2.1
LOW AV:L/AC:L/Au:N/C:P/I:N/A:N
3.9
2.9
NIST
5.1
MEDIUM CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
1.4
3.6
IBM Corporation
5.5
MEDIUM CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
1.8
3.6
NIST

References for CVE-2019-4719

Products affected by CVE-2019-4719

  • IBM » Websphere Mq
    Versions from including (>=) 7.1.0.0 and up to, including, (<=) 7.5.0.9
    cpe:2.3:a:ibm:websphere_mq:*:*:*:*:*:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
  • IBM » Mq Appliance » LTS Edition
    Versions from including (>=) 9.1.0.0 and before (<) 9.1.0.4
    cpe:2.3:a:ibm:mq_appliance:*:*:*:*:lts:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
  • IBM » Mq Appliance
    Versions from including (>=) 8.0.0.0 and before (<) 8.0.0.14
    cpe:2.3:a:ibm:mq_appliance:*:*:*:*:*:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
  • IBM » Mq Appliance » Continuous Delivery Edition
    Versions from including (>=) 9.1.0 and before (<) 9.1.4
    cpe:2.3:a:ibm:mq_appliance:*:*:*:*:continuous_delivery:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
  • IBM » MQ » Continuous Delivery Edition
    Versions from including (>=) 9.1.0 and before (<) 9.1.4
    cpe:2.3:a:ibm:mq:*:*:*:*:continuous_delivery:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
  • IBM » MQ
    Versions from including (>=) 8.0.0.0 and before (<) 8.0.0.14
    cpe:2.3:a:ibm:mq:*:*:*:*:*:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
  • IBM » MQ » LTS Edition
    Versions from including (>=) 9.1.0.0 and before (<) 9.1.0.4
    cpe:2.3:a:ibm:mq:*:*:*:*:lts:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
  • IBM » MQ » LTS Edition
    Versions from including (>=) 9.0.0.0 and up to, including, (<=) 9.0.0.9
    cpe:2.3:a:ibm:mq:*:*:*:*:lts:*:*:*
    When used together with: HP » Hp-ux » Version: N/A
    When used together with: IBM » AIX » Version: N/A
    When used together with: Linux » Linux Kernel » Version: N/A
    When used together with: Microsoft » Windows » Version: N/A
    When used together with: Oracle » Solaris » Version: N/A
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!